package com.deviousbard.ssvcs;

import javax.swing.JComboBox;

public class ActionComboBox extends JComboBox {

    public ActionComboBox(int[] availableActions) {
        super();
        for (int i=0; i < availableActions.length; i++) {
            if (availableActions[i] == ActionComboBoxModel.ACTION_ADD)
                this.addItem("Add");
            else if (availableActions[i] == ActionComboBoxModel.ACTION_CHECK_IN)
                this.addItem("Checkin");
            else if (availableActions[i] == ActionComboBoxModel.ACTION_CHECK_OUT)
                this.addItem("Checkout");
            else if (availableActions[i] == ActionComboBoxModel.ACTION_GET)
                this.addItem("Get");
            else if (availableActions[i] == ActionComboBoxModel.ACTION_UNDO_CHECK_OUT)
                this.addItem("Undo Checkout");
            else
                this.addItem("Unknown");
        }
    }
}