package com.deviousbard.ssvcs;

import javax.swing.*;
import javax.swing.tree.*;
import java.awt.*;
import com.borland.jbcl.layout.*;
import java.io.*;

public class DirectoryBrowserPanel extends JPanel {
    
    File directory = null;
    JTree treeProjects = null;
    BorderLayout bdrlFileBrowser = new BorderLayout();

    public DirectoryBrowserPanel(String fileName) {
        super();
        try {
            this.directory = new File(fileName);
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    public DirectoryBrowserPanel(String fileName, boolean isDoubleBuffered) {
        super(isDoubleBuffered);
        try {
            this.directory = new File(fileName);
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public DirectoryBrowserPanel(String fileName, LayoutManager layout) {
        super(layout);
        try {
            this.directory = new File(fileName);
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public DirectoryBrowserPanel(String fileName, LayoutManager layout, boolean isDoubleBuffered) {
        super(layout, isDoubleBuffered);
        try {
            this.directory = new File(fileName);
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public DirectoryBrowserPanel() {
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        this.setLayout(bdrlFileBrowser);
        treeProjects = new JTree(new DirectoryNode());
        this.add(new JScrollPane(treeProjects), BorderLayout.CENTER);
    }
    
    public String getSelectedDirectory() {
        return ((DirectoryNode)treeProjects.getSelectionPath().getLastPathComponent()).getAbsolutePath().replace('\\', '/');
    }
}
