package com.deviousbard.ssvcs;

import javax.swing.*;
import java.awt.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;


public class GetProjectDialog extends JDialog {
    JPanel pnlCreateProject = new JPanel();
    JTextArea textAreaComment = new JTextArea();
    XYLayout xYLayout1 = new XYLayout();
    JPanel pnlComment = new JPanel();
    XYLayout xYLayout2 = new XYLayout();
    JScrollPane scrollPaneComment = new JScrollPane();
    JPanel pnlNewProject = new JPanel();
    XYLayout xYLayout3 = new XYLayout();
    Border border1;
    TitledBorder titledBorder3;
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();
    JRadioButton rbGet = new JRadioButton();
    JRadioButton rbCheckout = new JRadioButton();
    JCheckBox cbMakeWritable = new JCheckBox();
    JCheckBox cbRecursive = new JCheckBox();
    ButtonGroup buttonGroup1 = new ButtonGroup();
    String selectedProject = null;

    public GetProjectDialog() {
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public GetProjectDialog(Frame f, String title, boolean modal) {
        super(f, title, modal);
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        border1 = BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140));
        titledBorder3 = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Project Options:");
        pnlCreateProject.setLayout(xYLayout1);
        pnlComment.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Comment:"));
        pnlComment.setLayout(xYLayout2);
        pnlNewProject.setBorder(titledBorder3);
        pnlNewProject.setLayout(xYLayout3);
        btnOK.setText("OK");
        getRootPane().setDefaultButton(btnOK);
        btnCancel.setText("Cancel");
        rbGet.setSelected(true);
        rbGet.setText("Get");
        rbCheckout.setText("Checkout");
        cbMakeWritable.setText("Make Writable");
        cbRecursive.setText("Recursive");
        this.getContentPane().add(pnlCreateProject, BorderLayout.CENTER);
        pnlCreateProject.add(pnlNewProject, new XYConstraints(11, 15, 375, 90));
        pnlNewProject.add(rbCheckout, new XYConstraints(4, 27, -1, -1));
        pnlNewProject.add(rbGet, new XYConstraints(4, 3, -1, -1));
        pnlNewProject.add(cbMakeWritable, new XYConstraints(128, 3, -1, -1));
        pnlNewProject.add(cbRecursive, new XYConstraints(128, 27, -1, -1));
        pnlCreateProject.add(pnlComment, new XYConstraints(12, 114, 375, 133));
        pnlComment.add(scrollPaneComment, new XYConstraints(6, 0, 353, 100));
        pnlCreateProject.add(btnCancel, new XYConstraints(209, 262, -1, -1));
        pnlCreateProject.add(btnOK, new XYConstraints(118, 262, 73, -1));
        scrollPaneComment.getViewport().add(textAreaComment, null);
        buttonGroup1.add(rbGet);
        buttonGroup1.add(rbCheckout);
    }

    public boolean isGetSelected() {
        return this.rbGet.isSelected();
    }

    public boolean isCheckoutSelected() {
        return this.rbCheckout.isSelected();
    }

    public boolean isMakeWritableSelected() {
        return this.cbMakeWritable.isSelected();
    }

    public boolean isRecursiveSelected() {
        return this.cbRecursive.isSelected();
    }

    public String getComment() {
        return this.textAreaComment.getText();
    }
    
    public void setSelectedProject(String selectedProject) {
        this.selectedProject = selectedProject;
    }
    
    public String getSelectedProject() {
        return this.selectedProject;
    }

    public void reset() {
        this.rbGet.setSelected(true);
        this.rbCheckout.setSelected(false);
        this.textAreaComment.setText("");
        this.cbMakeWritable.setSelected(false);
        this.cbRecursive.setSelected(false);
    }
}
