package com.deviousbard.ssvcs;

import java.io.*;

public class SourceSafeVCSLogWriter extends PrintWriter {
    
    public SourceSafeVCSLogWriter() throws IOException {
        super(new FileOutputStream(new File(System.getProperties().getProperty("user.home") + File.separator + "SourceSafeVCS.log")), true);
    }
    
    public void writeLogEntry(String s) {
        this.write(s + "\n");
        this.flush();
    }
}