package com.deviousbard.ssvcs;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;

public class UndoCheckoutFileDialog extends JDialog {
    JPanel pnlUndoCheckout = new JPanel();
    BorderLayout borderLayout2 = new BorderLayout();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();
    JComboBox cmbLocalFile = new JComboBox();
    JPanel jPanel1 = new JPanel();
    XYLayout xYLayout2 = new XYLayout();
    LocalFileComboBoxModel localFileComboBoxModel = new LocalFileComboBoxModel();
    XYLayout xYLayout1 = new XYLayout();

    public UndoCheckoutFileDialog(Frame frame, String title, boolean modal) {
        super(frame, title, modal);
        try {
            jbInit();
            pack();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }

    public UndoCheckoutFileDialog() {
        this(null, "", false);
    }
    void jbInit() throws Exception {
        pnlUndoCheckout.setLayout(xYLayout1);
        this.getContentPane().setLayout(borderLayout2);
        btnOK.setActionCommand("btnOK");
        btnOK.setText("OK");
        getRootPane().setDefaultButton(btnOK);
        btnCancel.setActionCommand("btnCancel");
        btnCancel.setText("Cancel");
        cmbLocalFile.setModel(localFileComboBoxModel);
        jPanel1.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Local File Resolution:"));
        jPanel1.setLayout(xYLayout2);
        this.getContentPane().add(pnlUndoCheckout, BorderLayout.CENTER);
        pnlUndoCheckout.add(jPanel1, new XYConstraints(10, 13, 158, 73));
        jPanel1.add(cmbLocalFile, new XYConstraints(9, 10, -1, -1));
        pnlUndoCheckout.add(btnCancel, new XYConstraints(179, 58, 73, 27));
        pnlUndoCheckout.add(btnOK, new XYConstraints(179, 21, 73, -1));
    }

    class LocalFileComboBoxModel extends DefaultComboBoxModel {
        public LocalFileComboBoxModel() {
            super();
            this.addElement("Replace");
            this.addElement("Leave");
            this.addElement("Delete");
            this.setSelectedItem("Replace");
        }
    }

    public void reset() {
        cmbLocalFile.getModel().setSelectedItem("Replace");
    }
}
