package com.deviousbard.opentool.util;

import com.borland.primetime.ide.*;
import java.util.*;

public class MessageWriter {

    private static Map messageCategoryMap = new HashMap();

    private MessageWriter() {
    }

    public static void writeDebugMessage(Object obj, String message) {
        String key = obj.getClass().getName();
        MessageCategory cat = ((messageCategoryMap.get(key) == null) ? new MessageCategory(key) : (MessageCategory)messageCategoryMap.get(key));
        messageCategoryMap.put(key, cat);
        MessageWriter.writeMessge(cat, message);
    }

    public static void writeMessage(String tabTitle, String message) {
        MessageCategory cat = ((messageCategoryMap.get(tabTitle) == null) ? new MessageCategory(tabTitle) : (MessageCategory)messageCategoryMap.get(tabTitle));
        messageCategoryMap.put(tabTitle, cat);
        MessageWriter.writeMessge(cat, message);
    }

    private static void writeMessge(MessageCategory messageCategory, String message) {
        Browser.getActiveBrowser().getMessageView().addMessage(messageCategory, message);
        Browser.getActiveBrowser().getMessageView().setVisible(true);
    }
}
