package com.deviousbard.ssvcs;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;

public class AddFileDialog extends JDialog {
    JPanel pnlAdd = new JPanel();
    BorderLayout borderLayout2 = new BorderLayout();
    XYLayout xYLayout1 = new XYLayout();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();
    JPanel pnlComment = new JPanel();
    TitledBorder titledBorder1;
    BorderLayout borderLayout1 = new BorderLayout();
    JScrollPane spComment = new JScrollPane();
    JTextArea taComment = new JTextArea();
    JCheckBox cbImmediateCheckout = new JCheckBox();
    JCheckBox cbRemoveLocalCopy = new JCheckBox();
    JCheckBox cbLeaveWritable = new JCheckBox();

    public AddFileDialog(Frame frame, String title, boolean modal) {
        super(frame, title, modal);
        try {
            jbInit();
            pack();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }

    public AddFileDialog() {
        this(null, "", false);
    }
    void jbInit() throws Exception {
        titledBorder1 = new TitledBorder("");
        pnlAdd.setLayout(xYLayout1);
        this.getContentPane().setLayout(borderLayout2);
        btnOK.setActionCommand("btnOK");
        btnOK.setText("OK");
        getRootPane().setDefaultButton(btnOK);
        btnCancel.setActionCommand("btnCancel");
        btnCancel.setText("Cancel");
        pnlComment.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Comment:"));
        pnlComment.setLayout(borderLayout1);
        taComment.setWrapStyleWord(true);
        taComment.setLineWrap(true);
        cbImmediateCheckout.setText("Checkout immediately");
        cbImmediateCheckout.setActionCommand("cbImmediateCheckout");
        cbRemoveLocalCopy.setText("Remove local copy");
        cbRemoveLocalCopy.setActionCommand("cbRemoveLocalCopy");
        cbLeaveWritable.setText("Leave writable");
        cbLeaveWritable.setActionCommand("cbLeaveWritable");
        getContentPane().add(pnlAdd, BorderLayout.CENTER);
        pnlAdd.add(cbImmediateCheckout, new XYConstraints(11, 13, -1, -1));
        pnlAdd.add(cbLeaveWritable, new XYConstraints(11, 70, -1, -1));
        pnlAdd.add(cbRemoveLocalCopy, new XYConstraints(11, 41, -1, -1));
        pnlAdd.add(btnOK, new XYConstraints(174, 26, 73, -1));
        pnlAdd.add(btnCancel, new XYConstraints(174, 62, -1, -1));
        pnlAdd.add(pnlComment, new XYConstraints(11, 98, 236, 124));
        pnlComment.add(spComment, BorderLayout.CENTER);
        spComment.getViewport().add(taComment, null);
    }

    public void reset() {
        this.taComment.setText("");
        this.cbImmediateCheckout.setSelected(false);
        this.cbLeaveWritable.setSelected(false);
        this.cbRemoveLocalCopy.setSelected(false);
    }
}
