package com.deviousbard.ssvcs;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;

public class CheckinFileDialog extends JDialog {
    JPanel pnlCheckinFile = new JPanel();
    BorderLayout borderLayout2 = new BorderLayout();
    XYLayout xYLayout1 = new XYLayout();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();
    JCheckBox cbKeepCheckedOut = new JCheckBox();
    JCheckBox cbRemoveLocalCopy = new JCheckBox();
    JPanel pnlComment = new JPanel();
    BorderLayout borderLayout1 = new BorderLayout();
    JScrollPane spComment = new JScrollPane();
    JTextArea taComment = new JTextArea();
    JCheckBox cbLeaveWritable = new JCheckBox();

    public CheckinFileDialog(Frame frame, String title, boolean modal) {
        super(frame, title, modal);
        try {
            jbInit();
            pack();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }

    public CheckinFileDialog() {
        this(null, "", false);
    }
    void jbInit() throws Exception {
        pnlCheckinFile.setLayout(xYLayout1);
        this.getContentPane().setLayout(borderLayout2);
        btnOK.setActionCommand("btnOK");
        getRootPane().setDefaultButton(btnOK);
        btnOK.setText("OK");
        btnCancel.setActionCommand("btnCancel");
        btnCancel.setText("Cancel");
        cbKeepCheckedOut.setText("Keep checked out");
        cbKeepCheckedOut.setActionCommand("cbKeepCheckedOut");
        cbRemoveLocalCopy.setText("Remove local copy");
        cbRemoveLocalCopy.setActionCommand("cbRemoveLocalCopy");
        pnlComment.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Comment:"));
        pnlComment.setLayout(borderLayout1);
        cbLeaveWritable.setText("Leave Writable");
        cbLeaveWritable.setActionCommand("cbLeaveWritable");
        taComment.setWrapStyleWord(true);
        taComment.setLineWrap(true);
        getContentPane().add(pnlCheckinFile, BorderLayout.CENTER);
        pnlCheckinFile.add(btnOK, new XYConstraints(166, 14, 73, -1));
        pnlCheckinFile.add(btnCancel, new XYConstraints(166, 53, -1, -1));
        pnlCheckinFile.add(pnlComment, new XYConstraints(9, 90, 233, 113));
        pnlComment.add(spComment, BorderLayout.CENTER);
        pnlCheckinFile.add(cbKeepCheckedOut, new XYConstraints(11, 9, -1, -1));
        pnlCheckinFile.add(cbRemoveLocalCopy, new XYConstraints(11, 35, -1, -1));
        pnlCheckinFile.add(cbLeaveWritable, new XYConstraints(11, 60, -1, -1));
        spComment.getViewport().add(taComment, null);
    }

    public void reset() {
        this.taComment.setText("");
        this.cbKeepCheckedOut.setSelected(false);
        this.cbLeaveWritable.setSelected(false);
        this.cbRemoveLocalCopy.setSelected(false);
    }
}
