package com.deviousbard.ssvcs;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;

public class CheckoutFileDialog extends JDialog {
    JPanel pnlCheckoutFile = new JPanel();
    BorderLayout borderLayout2 = new BorderLayout();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();
    JPanel pnlComment = new JPanel();
    JScrollPane spComment = new JScrollPane();
    BorderLayout blComment = new BorderLayout();
    JTextArea taComment = new JTextArea();
    XYLayout xYLayout1 = new XYLayout();
    JCheckBox cbRetainLocalCopy = new JCheckBox();

    public CheckoutFileDialog(Frame frame, String title, boolean modal) {
        super(frame, title, modal);
        try {
            jbInit();
            pack();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }

    public CheckoutFileDialog() {
        this(null, "", false);
    }

    void jbInit() throws Exception {
        pnlComment.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Comment:"));
        pnlComment.setLayout(blComment);
        pnlCheckoutFile.setLayout(xYLayout1);
        this.getContentPane().setLayout(borderLayout2);
        btnOK.setActionCommand("btnOK");
        btnOK.setText("OK");
        getRootPane().setDefaultButton(btnOK);
        btnCancel.setActionCommand("btnCancel");
        btnCancel.setText("Cancel");
        taComment.setWrapStyleWord(true);
        taComment.setLineWrap(true);
        cbRetainLocalCopy.setText("Don\'t get local copy");
        cbRetainLocalCopy.setActionCommand("cbRetainLocalCopy");
        this.getContentPane().add(pnlCheckoutFile, BorderLayout.CENTER);
        pnlCheckoutFile.add(cbRetainLocalCopy, new XYConstraints(8, 27, -1, -1));
        pnlCheckoutFile.add(btnOK, new XYConstraints(154, 9, 73, -1));
        pnlCheckoutFile.add(btnCancel, new XYConstraints(154, 46, -1, -1));
        pnlCheckoutFile.add(pnlComment, new XYConstraints(8, 82, 220, 109));
        pnlComment.add(spComment, BorderLayout.CENTER);
        spComment.getViewport().add(taComment, null);
    }

    public void reset() {
        this.taComment.setText("");
        this.cbRetainLocalCopy.setSelected(false);
    }
}
