package com.deviousbard.ssvcs;

import java.awt.*;
import javax.swing.*;
import com.borland.jbcl.layout.*;
import java.awt.event.*;
import com.borland.primetime.vfs.*;
import com.borland.primetime.vfs.ui.*;
import com.borland.primetime.ide.*;
import javax.swing.border.*;
import java.io.*;
import javax.swing.filechooser.*;
import javax.swing.*;
import com.borland.primetime.node.*;
import com.borland.primetime.teamdev.vcs.*;
import java.util.*;
import com.borland.jbuilder.node.JBProject;

public class ConfigPanel extends JPanel {
    BorderLayout borderLayout1 = new BorderLayout();
    XYLayout xylMain = new XYLayout();
    JTextField tfSSExecutable = new JTextField();
    JPanel pnlSSExecutable = new JPanel();
    TitledBorder titledBorderSSExecutable;
    XYLayout xylSSExcecutable = new XYLayout();
    JButton btnBrowse = new JButton();
    TitledBorder titledBorderProject;
    JPanel pnlWorkFile = new JPanel();
    TitledBorder titledBorderWorkFile;
    XYLayout xylWorkFile = new XYLayout();
    JPanel pnlAuthentication = new JPanel();
    TitledBorder titledBorderUserId;
    JTextField tfUserId = new JTextField();
    XYLayout xylUserId = new XYLayout();
    JButton btnAdd = new JButton();
    JButton btnRemove = new JButton();
    WorkFileMappingDialog dialog = null;
    DefaultListModel model = new DefaultListModel();

    File sourceSafeExecutable = null;
    SourceSafeVCS vcs = (SourceSafeVCS)VCSFactory.getVCS("SourceSafeVCS");
    Map directoryMappings = null;
    JLabel lblUserId = new JLabel();
    JLabel lblPassword = new JLabel();
    JPasswordField pfPassword = new JPasswordField();
    JCheckBox cbRequireUserAndPass = new JCheckBox();
    JScrollPane spWorkFileMappings = new JScrollPane();
    JList lstWorkFileMappings = new JList();
    JPanel pnlMessageOutput = new JPanel();
    XYLayout xYLayout1 = new XYLayout();
    JCheckBox cbCommandOutput = new JCheckBox();
    JPanel jPanel1 = new JPanel();
    JLabel lblHistoryRevisions = new JLabel();
    XYLayout xYLayout2 = new XYLayout();
    JTextField tfHistoryRevisions = new JTextField();

    public ConfigPanel() {
        try {
            jbInit();
        } catch(Exception ex) {
            ex.printStackTrace(vcs.log);
        }
    }

    void jbInit() throws Exception {
        titledBorderSSExecutable = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Source Safe Executable (SS.EXE):");
        titledBorderWorkFile = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Source Safe Project To Working Directory Mappings:");
        titledBorderUserId = new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Source Safe Authentication:");
        this.setLayout(xylMain);
        pnlSSExecutable.setBorder(titledBorderSSExecutable);
        pnlSSExecutable.setLayout(xylSSExcecutable);
        btnBrowse.setText("Browse...");
        btnBrowse.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                btnBrowse_actionPerformed(e);
            }
        });
        pnlWorkFile.setBorder(titledBorderWorkFile);
        pnlWorkFile.setLayout(xylWorkFile);
        xylMain.setWidth(400);
        xylMain.setHeight(533);
        pnlAuthentication.setBorder(titledBorderUserId);
        pnlAuthentication.setLayout(xylUserId);
        this.buildModel();
        btnAdd.setText("Add");
        btnAdd.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                btnAdd_actionPerformed(e);
            }
        });
        btnRemove.setEnabled(true);
        btnRemove.setText("Remove");
        btnRemove.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                btnRemove_actionPerformed(e);
            }
        });
        lblUserId.setHorizontalAlignment(SwingConstants.RIGHT);
        lblUserId.setText("User ID:");
        lblPassword.setHorizontalAlignment(SwingConstants.RIGHT);
        lblPassword.setText("Password:");
        cbRequireUserAndPass.setText("User ID and password required");
        cbRequireUserAndPass.setActionCommand("cbRequireUserAndPass");
        lstWorkFileMappings.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        lstWorkFileMappings.setModel(model);
        pnlMessageOutput.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(134, 134, 134)),"Message Output"));
        pnlMessageOutput.setLayout(xYLayout1);
        cbCommandOutput.setText("Output Source Safe Commands To Message View");
        jPanel1.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"History Revisions:"));
        jPanel1.setLayout(xYLayout2);
        lblHistoryRevisions.setText("Number Of History Revisons To Display:");
        tfHistoryRevisions.setText("5");
        this.add(pnlSSExecutable, new XYConstraints(24, 15, 353, 75));
        pnlSSExecutable.add(tfSSExecutable, new XYConstraints(3, 11, 228, -1));
        pnlSSExecutable.add(btnBrowse, new XYConstraints(242, 8, 94, -1));
        this.add(pnlWorkFile, new XYConstraints(24, 213, 353, 176));
        pnlWorkFile.add(btnAdd, new XYConstraints(255, 30, 81, 31));
        pnlWorkFile.add(btnRemove, new XYConstraints(255, 80, -1, 31));
        pnlWorkFile.add(spWorkFileMappings, new XYConstraints(5, 0, 240, 145));
        this.add(pnlAuthentication, new XYConstraints(24, 96, 353, 109));
        pnlAuthentication.add(lblUserId, new XYConstraints(6, 2, 54, -1));
        pnlAuthentication.add(tfUserId, new XYConstraints(68, 0, 266, -1));
        pnlAuthentication.add(pfPassword, new XYConstraints(68, 27, 266, -1));
        pnlAuthentication.add(lblPassword, new XYConstraints(-5, 29, 65, -1));
        pnlAuthentication.add(cbRequireUserAndPass, new XYConstraints(68, 53, -1, -1));
        this.add(pnlMessageOutput, new XYConstraints(24, 460, 353, 56));
        pnlMessageOutput.add(cbCommandOutput, new XYConstraints(6, 0, -1, -1));
        this.add(jPanel1, new XYConstraints(24, 399, 353, 58));
        jPanel1.add(lblHistoryRevisions, new XYConstraints(4, 5, 227, -1));
        jPanel1.add(tfHistoryRevisions, new XYConstraints(231, 3, 43, -1));
        spWorkFileMappings.getViewport().add(lstWorkFileMappings, null);
    }

    void btnBrowse_actionPerformed(ActionEvent e) {
        JFileChooser fileChooser = new JFileChooser();
        FileType.customizeFileChooser(fileChooser);
        fileChooser.setFileFilter(new SourceSafeExecutableFileFilter());
        fileChooser.setDialogTitle("Choose Microsoft Source Safe Executable:");
        if (fileChooser.showOpenDialog(Browser.getActiveBrowser()) == JFileChooser.APPROVE_OPTION) {
            sourceSafeExecutable = fileChooser.getSelectedFile();
            setSourceSafeExecutable(sourceSafeExecutable.getAbsolutePath());
            if (!sourceSafeExecutable.exists()) {
                int ret = JOptionPane.showConfirmDialog(Browser.getActiveBrowser(),
                    "The selected file does not exists.",
                    "File Does Not Exist",
                    JOptionPane.OK_OPTION, JOptionPane.INFORMATION_MESSAGE);
                    return;
            }
        }
    }

    public Map getDirectoryMappings() {
        return this.directoryMappings;
    }

    public void setDirectoryMappings(Map directoryMappings) {
        this.directoryMappings = directoryMappings;
        this.buildModel();
    }

    public String getSourceSafeExecutable() {
        return( tfSSExecutable.getText() );
    }

    public void setSourceSafeExecutable(String sourceSafeExecutable) {
        tfSSExecutable.setText(sourceSafeExecutable);
    }

    public String getSourceSafeUserId() {
        return( tfUserId.getText() );
    }

    public void setSourceSafeUserId(String sourceSafeUserId) {
        tfUserId.setText(sourceSafeUserId);
    }

    public String getSourceSafePassword() {
        return( new String(pfPassword.getPassword()) );
    }

    public void setSourceSafePassword(String sourceSafePassword) {
        pfPassword.setText(sourceSafePassword);
    }

    public String getHistoryRevisions() {
        return( tfHistoryRevisions.getText() );
    }

    public void setHistoryRevisions(String historyRevisions) {
        tfHistoryRevisions.setText(historyRevisions);
    }

    public String getAuthRequired() {
        if (cbRequireUserAndPass.isSelected()) {
            return "TRUE";
        }
        return "FALSE";
    }

    public void setAuthRequired(String authReq) {
        if (authReq.equalsIgnoreCase("TRUE")) {
            cbRequireUserAndPass.setSelected(true);
        }
        else {
            cbRequireUserAndPass.setSelected(false);
        }
    }

    public String getCommandOutput() {
        if (cbCommandOutput.isSelected()) {
            return "TRUE";
        }
        return "FALSE";
    }

    public void setCommandOutput(String commandOutput) {
        if (commandOutput.equalsIgnoreCase("TRUE")) {
            cbCommandOutput.setSelected(true);
        }
        else {
            cbCommandOutput.setSelected(false);
        }
    }

    class SourceSafeExecutableFileFilter extends javax.swing.filechooser.FileFilter {
        public boolean accept(File f) {
            if (f.isDirectory())
                return true;
            if (f.getName().equalsIgnoreCase("SS.EXE"))
                return true;
            return false;

        }

        public String getDescription() {
            return "Source Safe Executable (SS.EXE)";
        }
    }

    void btnCancel_actionPerformed(ActionEvent e) {
        dialog.setVisible(false);
    }

    void btnMap_actionPerformed(ActionEvent e) {
        dialog.setVisible(false);
        directoryMappings.put(dialog.getWorkingDirectoryMapping(), dialog.getProjectMapping());
        model.addElement(dialog.getProjectMapping() + " --> " + dialog.getWorkingDirectoryMapping());
    }

    void btnAdd_actionPerformed(ActionEvent e) {
        //vcs.getProjectConfigPage((JBProject)Browser.getActiveBrowser().getActiveProject()).writeProperties();
        if (this.getSourceSafeExecutable() != null && ! this.getSourceSafeExecutable().equals("") && this.getSourceSafeUserId() != null && ! this.getSourceSafeUserId().equals("")) {
            if (dialog == null) {
                Frame f = new Frame();
                dialog = new WorkFileMappingDialog(this.getSourceSafeExecutable(), this.getSourceSafeUserId(), this.getSourceSafePassword(), this.getAuthRequired(), f, "Project To Work File Mapping", true);
                dialog.setSize(680, 450);
                dialog.btnMap.addActionListener(new java.awt.event.ActionListener() {
                   public void actionPerformed(ActionEvent e) {
                       btnMap_actionPerformed(e);
                   }
                });
                dialog.btnCancel.addActionListener(new java.awt.event.ActionListener() {
                   public void actionPerformed(ActionEvent e) {
                       btnCancel_actionPerformed(e);
                   }
                });
            }
            else {
                dialog.refreshSourceSafeProjectView();
            }
            dialog.setVisible(true);
        }
    }

    void btnRemove_actionPerformed(ActionEvent e) {
        String selectedMapping = (String)model.get(this.lstWorkFileMappings.getSelectedIndex());
        String mapKey = selectedMapping.substring(selectedMapping.indexOf("--> ") + 4).trim();
        this.resetProperty(mapKey);
        this.directoryMappings.remove(mapKey);
        if (this.lstWorkFileMappings.getSelectedIndex() != -1) {
            model.remove(this.lstWorkFileMappings.getSelectedIndex());
        }
    }

    void buildModel() {
        model.clear();
        if (this.directoryMappings == null) {
            directoryMappings = new HashMap();
        }
        for (Iterator i=this.directoryMappings.keySet().iterator(); i.hasNext();) {
            String key = (String)i.next();
            if (! key.equals("DELETED")) {
                model.addElement(this.directoryMappings.get(key) + " --> " + key);
            }
        }
    }

    void resetProperty(String inKey) {
        JBProject prj = (JBProject)Browser.getActiveBrowser().getActiveProject();
        String key = null;
        int index = 0;
        while ((key = prj.getAutoProperty(VCS.CATEGORY, SourceSafeVCS.SS_MAPPINGS + "_KEY_" + index)) != null ) {
            if (key.equals(inKey)) {
                prj.setAutoProperty(VCS.CATEGORY, SourceSafeVCS.SS_MAPPINGS + "_KEY_" + index, "DELETED");
            }
            index++;
        }
    }
}
