package com.deviousbard.ssvcs;

import javax.swing.*;
import java.awt.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;


public class CreateProjectDialog extends JDialog {
    JPanel pnlCreateProject = new JPanel();
    JTextArea textAreaComment = new JTextArea();
    XYLayout xYLayout1 = new XYLayout();
    JPanel pnlComment = new JPanel();
    XYLayout xYLayout2 = new XYLayout();
    JScrollPane scrollPaneComment = new JScrollPane();
    JLabel lblParentProject = new JLabel();
    JLabel lblParentProjectName = new JLabel();
    JPanel pnlNewProject = new JPanel();
    XYLayout xYLayout3 = new XYLayout();
    Border border1;
    TitledBorder titledBorder3;
    JTextField tfNewSubProject = new JTextField();
    JLabel lblNewSubProject = new JLabel();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();

    public CreateProjectDialog() {
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public CreateProjectDialog(Frame f, String title, boolean modal) {
        super(f, title, modal);
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        border1 = BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140));
        titledBorder3 = new TitledBorder(border1,"New Project:");
        pnlCreateProject.setLayout(xYLayout1);
        pnlComment.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Comment:"));
        pnlComment.setLayout(xYLayout2);
        lblParentProject.setText("Parent Project:");
        lblParentProjectName.setFont(new java.awt.Font("Dialog", 1, 12));
        pnlNewProject.setBorder(titledBorder3);
        pnlNewProject.setLayout(xYLayout3);
        lblNewSubProject.setText("New Sub Project:");
        btnOK.setText("OK");
        getRootPane().setDefaultButton(btnOK);
        btnCancel.setText("Cancel");
        this.getContentPane().add(pnlCreateProject, BorderLayout.CENTER);
        pnlCreateProject.add(pnlNewProject, new XYConstraints(11, 15, 375, 90));
        pnlNewProject.add(lblParentProject, new XYConstraints(7, 1, -1, -1));
        pnlNewProject.add(lblParentProjectName, new XYConstraints(106, 0, 252, 21));
        pnlNewProject.add(lblNewSubProject, new XYConstraints(7, 31, -1, -1));
        pnlNewProject.add(tfNewSubProject, new XYConstraints(106, 26, 252, 26));
        pnlCreateProject.add(pnlComment, new XYConstraints(12, 114, 375, 133));
        pnlComment.add(scrollPaneComment, new XYConstraints(6, 0, 353, 100));
        pnlCreateProject.add(btnCancel, new XYConstraints(209, 262, -1, -1));
        pnlCreateProject.add(btnOK, new XYConstraints(118, 262, 73, -1));
        scrollPaneComment.getViewport().add(textAreaComment, null);
    }

    public String getParentProject() {
        return this.lblParentProjectName.getText();
    }

    public void setParentProject(String parentProject) {
        this.lblParentProjectName.setText(parentProject);
    }

    public String getNewSubProject() {
        return this.tfNewSubProject.getText();
    }

    public String getComment() {
        return this.textAreaComment.getText();
    }

    public void reset() {
        this.textAreaComment.setText("");
        this.tfNewSubProject.setText("");
    }
}
