package com.deviousbard.ssvcs;

import javax.swing.table.*;
import javax.swing.*;

public class IconTextCellRenderer extends ToolTipTableCellRenderer {

    protected void setValue(Object value) {
        if (value instanceof IconText) {
            if (value != null) {
                IconText it = (IconText)value;
                String text = it.getText();
                setText(text == null ? "" : text);
                setIcon(it.getIcon());
                setHorizontalTextPosition(SwingConstants.RIGHT);
                setVerticalTextPosition(SwingConstants.CENTER);
                setHorizontalAlignment(SwingConstants.LEFT);
                setVerticalAlignment(SwingConstants.CENTER);
            } else {
                setText("");
                setIcon(null);
            }
        } else {
            super.setValue(value);
        }
    }
}
