package com.deviousbard.ssvcs;

import javax.swing.*;
import java.awt.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;
import java.awt.event.*;
import com.borland.primetime.teamdev.vcs.*;
import com.borland.primetime.node.*;
import javax.swing.table.*;

public class MultiFileActionDialog extends JDialog {

    SourceSafeVCS vcs = (SourceSafeVCS)VCSFactory.getVCS("SourceSafeVCS");
    JPanel pnlMultiFileActionDialog = new JPanel();
    MultiFileActionPanel actionPanel;
    XYLayout xYLayout1 = new XYLayout();
    JButton btnOK = new JButton();
    JButton btnCancel = new JButton();

    public MultiFileActionDialog() {
        super();
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace(vcs.log);
        }
    }

    public MultiFileActionDialog(Frame owner, String title, boolean modal) {
        super(owner, title, modal);
        this.actionPanel = new MultiFileActionPanel();
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace(vcs.log);
        }
    }

    private void jbInit() throws Exception {
        try {
            pnlMultiFileActionDialog.setLayout(xYLayout1);
            btnOK.setText("OK");
            btnCancel.setText("Cancel");
            this.getContentPane().add(pnlMultiFileActionDialog, BorderLayout.CENTER);
            pnlMultiFileActionDialog.add(btnCancel, new XYConstraints(361, 260, -1, -1));
            pnlMultiFileActionDialog.add(btnOK, new XYConstraints(255, 260, 73, -1));
            pnlMultiFileActionDialog.add(actionPanel, new XYConstraints(5, 4, 691, 214));
        }
        catch (Exception e) {
            e.printStackTrace(vcs.log);
        }
    }
}
