package com.deviousbard.ssvcs;

import javax.swing.*;
import com.borland.jbcl.layout.*;
import java.awt.*;
import javax.swing.table.*;
import com.borland.primetime.teamdev.vcs.*;
import com.borland.primetime.node.*;
import java.util.*;
import com.borland.primetime.*;
import com.borland.primetime.ide.*;
import com.borland.jbuilder.node.*;

public class MultiFileActionPanel extends JPanel {
    BorderLayout borderLayoutmultiFileActionPanel = new BorderLayout();
    JScrollPane scrollPaneFileActions = new JScrollPane();
    MultiFileActionTableModel tableModel = new MultiFileActionTableModel();
    MultiFileActionTable tableFileActions = new MultiFileActionTable(tableModel);
    Node[] nodes;
    JComboBox cbAction = new JComboBox(ActionComboBoxTableModel.getValidStates(0,0));

    public MultiFileActionPanel() {
        SourceSafeVCS vcs = (SourceSafeVCS)VCSFactory.getVCS("SourceSafeVCS");

        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace(vcs.log);
        }
    }
    private void jbInit() throws Exception {
        tableFileActions.setRowHeight(20);
        JComboBox cmbAction = new JComboBox();
        cmbAction.setEditable(false);
        ActionComboBoxRenderer renderer= new ActionComboBoxRenderer();
        renderer.setPreferredSize(new Dimension(200, 20));
        cmbAction.setRenderer(renderer);
        cmbAction.setMaximumRowCount(5);
        JComboBox cmbLocalFile = new JComboBox();
        cmbLocalFile.setEditable(false);
        JCheckBox cbWritable = new JCheckBox();
        JCheckBox cbReCheckout = new JCheckBox();
        TableColumnModel tcm = tableFileActions.getColumnModel();
        DefaultCellEditor actionEditor = new DefaultCellEditor(cmbAction);
        DefaultCellEditor localFileEditor = new DefaultCellEditor(cmbLocalFile);
        DefaultCellEditor writableEditor = new DefaultCellEditor(cbWritable);
        DefaultCellEditor reCheckoutEditor = new DefaultCellEditor(cbReCheckout);
        tcm.getColumn(MultiFileActionTableModel.ACTION_COLUMN).setCellEditor(actionEditor);
        IconTextCellRenderer actionRenderer = new IconTextCellRenderer();
        tcm.getColumn(MultiFileActionTableModel.ACTION_COLUMN).setCellRenderer(actionRenderer);
        ToolTipTableCellRenderer tableCellRenderer = new ToolTipTableCellRenderer();
        tcm.getColumn(MultiFileActionTableModel.LOCAL_FILE_COLUMN).setCellEditor(localFileEditor);
        tcm.getColumn(MultiFileActionTableModel.LOCAL_FILE_COLUMN).setCellRenderer(tableCellRenderer);
        tcm.getColumn(MultiFileActionTableModel.WRITABLE_COLUMN).setCellEditor(writableEditor);
        tcm.getColumn(MultiFileActionTableModel.RE_CHECKOUT_COLUMN).setCellEditor(reCheckoutEditor);
        tcm.getColumn(MultiFileActionTableModel.COMMENT_COLUMN).setCellRenderer(tableCellRenderer);
        tcm.getColumn(MultiFileActionTableModel.FILE_NAME_COLUMN).setCellRenderer(tableCellRenderer);
        this.setLayout(borderLayoutmultiFileActionPanel);
        this.add(scrollPaneFileActions, BorderLayout.CENTER);
        scrollPaneFileActions.getViewport().add(tableFileActions, null);
    }

    public void setTableModel(MultiFileActionTableModel model) {
        SourceSafeVCS vcs = (SourceSafeVCS)VCSFactory.getVCS("SourceSafeVCS");

        try {
            tableFileActions.setModel(model);
        }
        catch (Exception e) {
            e.printStackTrace(vcs.log);
        }
    }
}
