package com.deviousbard.ssvcs;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

import javax.swing.JTable;

public class MultiFileActionTable extends JTable {

    public MultiFileActionTable(TableModel model) {
        super(model);
    }
    
    public boolean editCellAt(int row, int column, EventObject evt) {
        if (super.editCellAt(row, column, evt) == false) {
            return false;
        }
        try {
            if (column == MultiFileActionTableModel.ACTION_COLUMN) {
                MultiFileActionTableModel tableModel = (MultiFileActionTableModel)this.getModel(); 
                int status = tableModel.getStatus(row);
                JComboBox action = (JComboBox)this.getEditorComponent();
                String[] items = MultiFileActionTableModel.getValidActions(status);
                DefaultComboBoxModel actionModel =(DefaultComboBoxModel)action.getModel();
                actionModel.removeAllElements();
                for (int i=0; i < items.length; i++) {
                    actionModel.addElement(items[i]);
                }
            }
            if (column == MultiFileActionTableModel.LOCAL_FILE_COLUMN) {
                MultiFileActionTableModel tableModel = (MultiFileActionTableModel)this.getModel(); 
                int status = tableModel.getStatus(row);
                JComboBox action = (JComboBox)this.getEditorComponent();
                String[] items = MultiFileActionTableModel.getValidLocalFileOptions(((IconText)tableModel.getValueAt(row, MultiFileActionTableModel.ACTION_COLUMN)).getText(), status);
                DefaultComboBoxModel actionModel =(DefaultComboBoxModel)action.getModel();
                actionModel.removeAllElements();
                for (int i=0; i < items.length; i++) {
                    actionModel.addElement(items[i]);
                }
            }
        }
        catch (Exception e) {
            // Intentionally ignored
        }
        return super.editCellAt(row, column, evt);
    }
}
