package com.deviousbard.ssvcs;

import javax.swing.*;
import java.awt.*;
import com.borland.jbcl.layout.*;
import javax.swing.border.*;


public class ProjectListDialog extends JDialog {
    JPanel pnlProjectList = new JPanel();
    XYLayout xYLayout1 = new XYLayout();
    JButton btnCancel = new JButton();
    JScrollPane scrollPaneProjectBrowser = new JScrollPane();
    JLabel lblInstructions = new JLabel();
    SourceSafeProjectBrowserPanel pnlProjectBrowser = null;

    String ssExe = null;
    String userId = null;
    String password = null;
    boolean authRequired = false;
    JLabel lblInstructions1 = new JLabel();

    public ProjectListDialog() {
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    public ProjectListDialog(String ssExe, String userId, String password, boolean authRequired, Frame f, String title, boolean modal) {
        super(f, title, modal);
        this.ssExe = ssExe;
        this.userId = userId;
        this.password = password;
        this.authRequired = authRequired;
        try {
            jbInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }

    private void jbInit() throws Exception {
        pnlProjectList.setLayout(xYLayout1);
        btnCancel.setText("Cancel");
        scrollPaneProjectBrowser.setBorder(new TitledBorder(BorderFactory.createEtchedBorder(Color.white,new Color(148, 145, 140)),"Microsoft Source Safe Projects:"));
        lblInstructions.setText("* Right-click on a project to create a sub-project below it");
        lblInstructions1.setText("or get all files from it.");
        this.getContentPane().add(pnlProjectList, BorderLayout.CENTER);
        pnlProjectList.add(scrollPaneProjectBrowser, new XYConstraints(9, 51, 342, 447));
        pnlProjectList.add(lblInstructions, new XYConstraints(9, 2, 328, 25));
        pnlProjectList.add(lblInstructions1, new XYConstraints(17, 21, 172, 21));
        pnlProjectList.add(btnCancel, new XYConstraints(143, 508, -1, -1));
        pnlProjectBrowser = new SourceSafeProjectBrowserPanel(ssExe, userId, password, authRequired);
        scrollPaneProjectBrowser.getViewport().add(pnlProjectBrowser, null);
    }

    public void refreshSourceSafeProjectView() {
        this.pnlProjectBrowser.refreshTreeProjects();
    }
}
